Bug 998560 - ARM as primary Architecture
ARM as primary Architecture
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Changes Tracking (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Reznik
: Tracking
Depends On:
Blocks: 1001329 1001330 1021599
  Show dependency treegraph
 
Reported: 2013-08-19 10:15 EDT by Jaroslav Reznik
Modified: 2013-12-18 09:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1001329 1001330 1021599 (view as bug list)
Environment:
Last Closed: 2013-12-18 09:00:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Reznik 2013-08-19 10:15:59 EDT
This is a tracking bug for Change: ARM as primary Architecture
For more details, see: http://fedoraproject.org//wiki/Changes/ARM_as_Primary

Make ARM a primary architecture. Add armv7hl to the i686 and x86_64 as arches that we build and support. This will mean that all packages supported by the ARM architecture must build for ARM to be released. With the release of Fedora 19 we have deprecated support for software floating support (ARMv5tel sfp) so the only proposed addition to primary architectures is currently ARMv7 hardware floating point 32 bit support (ARMv7 hfp 32bit).
Comment 1 Dennis Gilmore 2013-08-22 18:57:11 EDT
we are building arm as primary, everything is on target right now.
Comment 2 Jaroslav Reznik 2013-10-11 04:46:20 EDT
This message is a reminder that Fedora 20 Accepted Changes 100%
Completed Deadline is on 2013-10-15 [1].

All Accepted Changes has to be code complete and ready to be
validated in the Beta release (optionally by Fedora QA). Required
bug state at this point is ON_QA.

As for several System Wide Changes, Beta Change Deadline is a
point of contingency plan, all incomplete Changes will be 
reported to FESCo for 2013-10-16 meeting. In case of any
questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/20/Schedule
Comment 3 Jaroslav Reznik 2013-10-16 05:32:34 EDT
As agreed by Change owner, moving to ON_QA as a completed Change.
Comment 4 Jaroslav Reznik 2013-12-18 09:00:48 EST
Closing this bug as this Change was delivered in Fedora 20 release. Please, reopen in case of any issues you encounter regarding this Change completion.

Note You need to log in before you can comment on or make changes to this bug.